ConfirmPaymentIntentRequest

Request to confirm a payment intent.

customerId
string

The unique identifier of the customer record that identifies the customer in the Toast platform. The identifier is used to retrieve the customer's payment methods saved to their profile.

email
string

The email address of the customer making the payment. Must consist of the following characters: a-z, A-Z, 0-9, =, ., -, _, +, @, :, &, ^, %, !, $. An email address must be provided at least once during the payment intent workflow. Include the email address in the request body when sending a POST request to either the /confirm, /create, or /update endpoint.

paymentMethodId
string

The identifier of the payment method associated to this payment intent.

sessionSecret
string

A unique and randomized identifier for this payment intent that can be used to create payment methods via iframe and SDKs.

{
  • "paymentMethodId": "string",
  • "sessionSecret": "string",
  • "email": "string",
  • "customerId": "string"
}